﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;
using CSharpSamples_Khoshamoz.OOP;
using System.Text.RegularExpressions;
using System.Data.SqlClient;
using System.Reflection;

namespace CSharpSamples_Khoshamoz.Samples
{
    public partial class FrmSample065 : Form
    {
        public FrmSample065()
        {
            InitializeComponent();
        }

        private void pictureBox1_Paint(object sender, PaintEventArgs e)
        {
            Pen pen = new Pen(Brushes.Blue, (float)nudPenWidth.Value);
            pen.Color = lblPenColor.BackColor;

            Point point = new Point((int)nudPointX.Value, (int)nudPointY.Value);
            Size size = new Size((int)nudRectWidth.Value, (int)nudRectHeight.Value);
            Rectangle rect = new Rectangle(point, size);

            switch (cboShape.SelectedIndex)
            {
                case 0:
                    e.Graphics.DrawRectangle(pen, rect);
                    break;
                case 1:
                    e.Graphics.DrawEllipse(pen, rect);
                    break;
                default:
                    break;
            }

        }

        private void nudPointX_ValueChanged(object sender, EventArgs e)
        {
            PictureBoxRefresh();
        }

        private void nudPointY_ValueChanged(object sender, EventArgs e)
        {
            PictureBoxRefresh();
        }

        private void nudRectWidth_ValueChanged(object sender, EventArgs e)
        {
            PictureBoxRefresh();
        }

        private void nudRectHeight_ValueChanged(object sender, EventArgs e)
        {
            PictureBoxRefresh();
        }

        private void nudPenWidth_ValueChanged(object sender, EventArgs e)
        {
            PictureBoxRefresh();
        }

        private void PictureBoxRefresh()
        { 
            pictureBox1.Refresh();
        }

        private void btnPenColor_Click(object sender, EventArgs e)
        {
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            { 
                lblPenColor.BackColor = colorDialog1.Color;
                PictureBoxRefresh();
            }
        }

        private void cboShape_SelectedIndexChanged(object sender, EventArgs e)
        {
            PictureBoxRefresh();
        }


    }
}
